package com.huimv.env.input.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author newspaper
 * @since 2024-07-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("energy_electricity")
public class EnergyElectricity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 网关编号
     */
    private String gatwayCode;

    /**
     * 终端编号
     */
    private String terminalCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 安装位置名称
     */
    private String buildName;

    /**
     * 楼层id
     */
    private Integer floorId;

    /**
     * 用电量
     */
    private String electricityValue;

    /**
     * 原始值
     */
    private String originalValue;

    /**
     * 原始数据
     */
    private String originalData;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 小区id
     */
    private Integer farmId;
}
